Subject: bug#17206: 24.3; S-up bindkey not being set for windmove-up in emacs -nw

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Apr 2014 18:14:54 +0300

> Date: Sat, 5 Apr 2014 21:57:41 -0700
> From: "Gopinath, Rahul" <[email-masked]>
> 
> $ emacs -nw -Q
> On emacs, execute
> M-x windmove-default-keybindings
> 
> Cx-2
> Cx-3
> 
> While S-<Left> S-<Right>, S-<Down>, works S-<Up> responds with "<select>
> is undefined". (C-h k) is saying that the key is undefined.
> 
> Next, I tried M-x windmove-up, which worked correctly, and the status
> line said that I can use S-<up> instead (which does not work).
> 
> Next, I tried to set it using the global .emacs file with
> (global-set-key (kbd "S-<up>")    'windmove-up)
> This did not succeed, with S-<up> not being recognized as set.
> 
> Lastly, I tried manually defining it with M-x global-set-key S-<up>
> windmove-up. Interestingly, this works with the key bound as expected.

What is the type of your TTY display, and what escape sequence does
that terminal send when you press S-<Up>?